---
lang: en
title: 'API docs: context.injectable.provider'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.injectable.provider.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [injectable](./context.injectable.md) &gt; [provider](./context.injectable.provider.md)

## injectable.provider() function

`@injectable.provider` to denote a provider class

A list of binding scope/tags or template functions to configure the binding

**Signature:**

```typescript
function provider(...specs: BindingSpec[]): (target: Constructor<unknown>) => void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  specs | [BindingSpec](./context.bindingspec.md)<!-- -->\[\] |  |

**Returns:**

(target: [Constructor](./context.constructor.md)<!-- -->&lt;unknown&gt;) =&gt; void


